package org.protux.core;

import static org.protux.core.Debugger.PMESG;
import static org.protux.core.Debugger.PWARN;

public class BaseThread extends Thread
	{

	protected final void setMaxPriority()
			{
			try
				{
				setPriority(Thread.MAX_PRIORITY);
				PMESG(2, "Using Time Scheduling policy with Max priority ");
				}
			catch (Exception e)
				{
				PWARN("Cannot set Real Time scheduling. Please, retry as root, or with setuid (be aware of the security risks involved).");
				}

			}

	}
