package org.protux.core;

import java.util.Timer;

public class OneShotTimer extends Timer
	{
		protected boolean active = false;


		public synchronized void setActive(boolean f)
			{
			active = f;
			}

		public boolean isActive()
			{
			return active;
			}
		
		public synchronized void stop()
			{
			try
				{
				setActive(false);
				cancel();
				}
			catch (Exception e)
				{
				}
			}
	
	}
