package org.protux.core;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;


public class Properties extends java.util.Properties
	{
	public Properties(String file) throws IOException
		{
		super();
		super.load(new FileInputStream(new File(file)));
		}


	public String get(String key)
		{
		return getProperty(key);
		}


	public int getInt(String key)
		{
		return Util.toInt(getProperty(key));
		}


	public long getLong(String key)
		{
		return Util.toLong(getProperty(key));
		}
	}
