package org.protux.core;

import java.util.Timer;
import java.util.TimerTask;

public abstract class SimpleTimer extends Timer
	{
		public abstract void execute();


		public void start(long interval)
			{
			start(0, interval);
			}


		public void start(long delay, long interval)
			{
			schedule(new TimerTask()
				{
					@Override
					public void run()
						{
						execute();
						}
				}, delay, interval);
			}
	}
