package org.protux.core.editor;

import org.protux.core.Const;
import org.protux.core.Protux;
import org.protux.input.jmb.JmbHandler;

public class EditorJmbHandler implements JmbHandler
	{
		public EditorJmbHandler()
			{
			}


		public void execJmbAction(int commandIndex)
			{
			switch (commandIndex)
				{
				case Const.ACTION_ZOOM_IN:
					Protux.editor.zoomIn();
					break;
				case Const.ACTION_ZOOM_OUT:
					Protux.editor.zoomOut();
					break;
				case Const.ACTION_TOGGLE_PLAY_STOP:
					try
						{
						Protux.editor.currentSong.togglePlay();
						}
					catch (Exception e)
						{
						e.printStackTrace();
						}
					break;
				case Const.ACTION_ADD_TRACK:
					Protux.editor.currentSong.addTrack();
					Protux.editor.recreate();
					Protux.rack.recreate();
					break;
				case Const.ACTION_REMOVE_ACTIVE_TRACK:
				Protux.editor.currentSong.removeActiveTrack();
				Protux.editor.currentSong.recreateEditor();
				break;

				}
			}

	}
