package org.protux.core.engines.audio;

import java.util.ArrayList;


public class HardBusContainer extends BusContainer
	{

		public HardBusContainer(String name)
			{
			super(name);
			}

		public void addBuses(ArrayList<HardBus> buses)
			{
			for (HardBus b : buses)
				addBus(b);
			}



		@Override
		/** Create a null bus (initially null, but can be set to a proper mixer) */
		public HardBus createBus(String name,Bus.Direction direction)
			{
			HardBus nb = new HardBus(direction);
			nb.setNull(true);
			return nb;
			}



	}
