package org.protux.core.gui;

import java.awt.Color;
import java.awt.Font;

import javax.swing.JTabbedPane;
import javax.swing.SwingConstants;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

import org.protux.core.engines.audio.BusContainer;

public class BusRack extends JTabbedPane implements ChangeListener
	{
		public BusRack()
			{
			super(SwingConstants.TOP);
			addChangeListener(this);
			setFont(new Font("Helvetica", Font.BOLD, 10));
			setBackground(Color.LIGHT_GRAY);
			}


		public void stateChanged(ChangeEvent e)
			{
			JTabbedPane tb = (JTabbedPane) e.getSource();
			BusContainer bc = (BusContainer) tb.getSelectedComponent();
			bc.recreateBuses();
			}

	}
