package org.protux.core.gui;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Panel;

import java.awt.*;

import javax.swing.JTextField;
import javax.swing.JToolBar;

import org.protux.core.SimpleTimer;
import org.protux.core.editor.Song;


public class SystemStatusBox extends JToolBar 
	{

	class UpdateTimer extends SimpleTimer{

		@Override
		public void execute()
			{
			System.out.println("Callback for SystemStatusBox running...");
			}
	
	}
	
	UpdateTimer updateTimer = new UpdateTimer();
	
	static final int STATUS_CONTAINER_FIXED_HEIGHT = 20;

	//Object Variables
	JTextField currProject;
	JTextField ramUsage;
	JTextField snapStatus;
	JTextField freeTime;
	JTextField diskUsage;
	JTextField diskSpace;
	JTextField smpte;


	public SystemStatusBox ( )
		{
		super();
		Dimension statusBoxDim = new Dimension(600, 36);
		setMinimumSize(statusBoxDim);
		setPreferredSize(statusBoxDim);
		setBackground(new Color(200, 209, 202));

		//StatusBar
		currProject = new JTextField(30);
		currProject.setText("Current Project - Song");
		currProject.setBackground(Color.LIGHT_GRAY);

		ramUsage = new JTextField(12);
		ramUsage.setText("Ram Usage");
		ramUsage.setBackground(Color.LIGHT_GRAY);

		snapStatus = new JTextField(18);
		snapStatus.setText("SNAP OFF");
		snapStatus.setBackground(Color.LIGHT_GRAY);

		//---->> how do I center the text ?

		freeTime = new JTextField(5);
		freeTime.setText("Free Time");
		freeTime.setBackground(Color.LIGHT_GRAY);

		diskUsage = new JTextField(5);
		diskUsage.setText("Disk Usage");
		diskUsage.setBackground(Color.LIGHT_GRAY);

		diskSpace = new JTextField(5);
		diskSpace.setText("DiskSpace");
		diskSpace.setBackground(Color.LIGHT_GRAY);

		smpte = new JTextField(5);
		smpte.setText("SMPTE");
		smpte.setBackground(Color.LIGHT_GRAY);

		add(currProject);
		add(ramUsage);
		add(snapStatus);
		add(freeTime);
		add(diskUsage);
		add(diskSpace);
		add(smpte);

		// FOR LATER       l1 = new Label("PILL",statusContainer);
		// QLineEdit* prompt = new QLineEdit(statusContainer);
		// statusContainerLayout.addWidget( prompt );

		// MIG QToolTip.add(ramUsage, "How much RAM protux is using right now");
		// MIG QToolTip.add(snapStatus, "Snap status : >|< Snap to work cursor  >[]< Snap to clips borders");
		// MIG QToolTip.add(freeTime, "How much record time you still have");
		// MIG QToolTip.add(diskUsage, "How many disk space (Mb) protuxproject dir is using");
		// MIG QToolTip.add( l1,  "This will be the Protux InternaL Language console (Accepting suggestions to change the language name :-)");

		}


	@Override
	public void finalize()
		{
		//MIG statusBarTimer.stop();
		}


	public void update()
		{
		try
			{
			Song song = ProjectManager.getManager().getCurrentProject().getCurrentSong();
			if (song.isSnapOn)
				{
				snapStatus.setText("SNAP ON");
				}
			else
				{
				snapStatus.setText("SNAP OFF");
				}
			long vDiskSpace = 0;
			diskSpace.setText("" + vDiskSpace);
			}
		catch (Exception e)
			{

			}
		}



	public void activate()
		{
		//UNCO statusBarTimer.start(2000);
		}
	}
