package org.protux.input.classic;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;

import org.protux.core.Protux;
import org.protux.core.editor.Editor;
import org.protux.input.jmb.JmbHandler;


public class EditorClassicActionListener implements ActionListener
	{
	protected Editor editor;
	public EditorContextMenu contextMenu = null;


	public EditorClassicActionListener (Editor editor)
		{
		this.editor = editor;
		this.contextMenu = new EditorContextMenu(this);
		editor.add(contextMenu);
		}


	/** Context menu classic actions handler*/
	public void actionPerformed(ActionEvent arg0)
		{
		String command = arg0.getActionCommand();
		if (command.equals("SPLIT"))
			{
			editor.splitClipUnderMouse();
			}

		}


	public void showContextMenu(MouseEvent e)
		{
		contextMenu.show(e.getComponent(), e.getX(), e.getY());
		}

	}
