package org.protux.core.engines.audio;

/** stores information about a transfer to/from a MustuxBus, including the errors, if any. */

public class AudioBusTransferResult
	{
	public int error; //< @see MustuxAudioDeviceMapper
	public String message;
	public int bytesTransferred;
	public int xrun; //< 0=no xrun ; -1=underrun; 1=overrun


	/// clean the result. usefull if you plan to re-use same result variable for many calls.
	void clean()
		{
		error = 0;
		xrun = 0;
		bytesTransferred = 0;
		message = "";
		}
	}
