package org.protux.core.gui;

import static org.protux.core.Debugger.PERROR;

import java.awt.FlowLayout;
import java.awt.TextArea;

import javax.swing.JFrame;

import org.protux.core.Util;


public class Help extends JFrame
	{
	TextArea view;
	String helpFilename;
	boolean created = false;


	public Help()
		{
		super("Help");
		this.helpFilename = "resources/help.text";
		this.setLayout(new FlowLayout());
		view = new TextArea();
		view.setText("This is a <b>Test</b> with <i>italic</i> <u>stuff</u> ");
		this.add(view);
		String buffer = Util.getContents(helpFilename);
		if (buffer == null)
			{
			buffer = "Cannot open help.text file";
			}
		view.setText(buffer);
		setSize(800, 600);
		setVisible(false);
		}


	public void toggleShowHide()
		{
		setVisible(!this.isVisible());
		}


	}
